/*
-- Company: 		Trenz Electronic
-- Engineer: 		Oleksandr Kiyenko / John Hartfiel
 */
#ifndef SI539X_H
#define SI539X_H

#include "te_iic_platform.h"
#ifdef CLOCK_SI5395

typedef struct
{
	unsigned int address; /* 16-bit register address */
	unsigned char value; /* 8-bit register data */

} si5395_reva_register_t;




/* Si5345 default address is 0x69 */
//#define SI534X_CHIP_ADDR	0x68
//#define SI534X_CHIP_ADDR	0x69
//#define SI534X_CHIP_ADDR	0x6A
//#define SI534X_CHIP_ADDR	0x6B

/* Registers used for NVM Programming */
#define ACTIVE_NVM_BANK		0x00E2
#define NVM_WRITE			0x00E3
#define NVM_READ_BANK		0x00E4
#define DEVICE_READY		0x00FE


#define PLL_B
//enable register read back and printf
//#define DEBUG_REG	

//max delay for calibration from SI documentation 300ms
#define DELAY_PER_WRITE_ACCESS	0x0U
#define DELAY_AFTER_PLL_PREAMPLE	0x50000U
#define DELAY_BEFOR_PLL_POSTAMPLE	0x0U
//max delay to check cal done until it will ignore Status
#define TIME_CHECK_PLL_CONFIG_US	0x50000U
//delay
#define DELAY_AFTER_PLL_CONFIG_US	0x20000U 

//next both used for workaround
#define DELAY_ENABLE_OUTPUTS	0x0U
si5395_reva_register_t outputEnableReg[12];

//V4 OK
// #define DELAY_PER_WRITE_ACCESS	0x0U
// #define DELAY_AFTER_PLL_PREAMPLE	0x50000U
// #define DELAY_BEFOR_PLL_POSTAMPLE	0x0U
// #define TIME_CHECK_PLL_CONFIG_US	0x50000U
// #define DELAY_AFTER_PLL_CONFIG_US	0x20000U 
// #define DELAY_ENABLE_OUTPUTS	0x100U
//V3 OK
// #define DELAY_PER_WRITE_ACCESS	0x0U
// #define DELAY_AFTER_PLL_PREAMPLE	0x50000U
// #define DELAY_BEFOR_PLL_POSTAMPLE	0x0U
// #define TIME_CHECK_PLL_CONFIG_US	0x50000U
// #define DELAY_AFTER_PLL_CONFIG_US	0x20000U 
// #define DELAY_ENABLE_OUTPUTS	0x500U
//V2 OK
// #define DELAY_PER_WRITE_ACCESS	0x0U
// #define DELAY_AFTER_PLL_PREAMPLE	0x50000U
// #define DELAY_BEFOR_PLL_POSTAMPLE	0x10000U
// #define TIME_CHECK_PLL_CONFIG_US	0x50000U
// #define DELAY_AFTER_PLL_CONFIG_US	0x20000U 
// #define DELAY_ENABLE_OUTPUTS	0x1000U
//V1 OK
// #define DELAY_PER_WRITE_ACCESS	0x500U
// #define DELAY_AFTER_PLL_PREAMPLE	0x50000U
// #define DELAY_BEFOR_PLL_POSTAMPLE	0x50000U
// #define TIME_CHECK_PLL_CONFIG_US	0x50000U
// #define DELAY_AFTER_PLL_CONFIG_US	0x150000U
// #define DELAY_ENABLE_OUTPUTS	0x1000U



int si539x_version(unsigned char chip_addr);
int si539x_status_wait(unsigned char chip_addr);
// #define NVM_CODE
int si539x_init(unsigned char chip_addr, unsigned char readonly, unsigned char file);
int si539x_reset(unsigned char chip_addr);
int si539x_recal(unsigned char chip_addr);

#ifdef NVM_CODE
int si539x_write_nvm(unsigned char chip_addr);
// #define NVM_REALY
#endif

#endif /* CLOCK_SI5395 */

#endif /* SI534X_H */
